KDE 4.9 PyKDE API Reference

- KDE's Python API

# CustomNodeFilter Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.DomShared
Namespace: DOM

## Detailed Description

CustomNodeFilter can be used to define your own NodeFilter for use with NodeIterators and TreeWalkers. You can create a custom filter by doing the following:

class MyCustomNodeFilter { ..... virtual short acceptNode (const Node &n); ..... }

Then in your program:

short MyCustomNodeFilter.acceptNode (const Node &n) { if (condition) return NodeFilter.FILTER_ACCEPT; else .... }

MyCustomFilter *filter = new MyCustomFilter(); NodeFilter nf = NodeFilter.createCustom(filter); NodeIterator ni = document.createNodeIterator(document,NodeFilter.SHOW_ALL,nf,false);

The default implementation of acceptNode() returns NodeFilter.FILTER_ACCEPT for all nodes.

## Methods

| __init__ (self)
int | acceptNode (self, DOM.Node n)
DOM.DOMString | customNodeFilterType (self)
bool | isNull (self)

## Method Documentation

__init__ | ( |  | self ) |

int acceptNode | ( | self, |
|  | DOM.Node | n
| ) |  |  |

DOM.DOMString customNodeFilterType | ( |  | self ) |

Internal:
  not part of the DOM

Returns a name specifying the type of custom node filter. Useful for checking if an custom node filter is of a particular sublass.

bool isNull | ( |  | self ) |